## WebKitDOMHTMLHRElement WebKitDOMHTMLHRElement |

## Functions

gchar * | webkit_dom_html_hr_element_get_align ()
void | webkit_dom_html_hr_element_set_align ()
gboolean | webkit_dom_html_hr_element_get_no_shade ()
void | webkit_dom_html_hr_element_set_no_shade ()
gchar * | webkit_dom_html_hr_element_get_size ()
void | webkit_dom_html_hr_element_set_size ()
gchar * | webkit_dom_html_hr_element_get_width ()
void | webkit_dom_html_hr_element_set_width ()

## Properties

gchar * | align | Read / Write
gboolean | no-shade | Read / Write
gchar * | size | Read / Write
gchar * | width | Read / Write

## Types and Values

struct | WebKitDOMHTMLHRElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLHRElement

## Implemented Interfaces

WebKitDOMHTMLHRElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_hr_element_get_align ()

    gchar *
    webkit_dom_html_hr_element_get_align (WebKitDOMHTMLHRElement *self);

`webkit_dom_html_hr_element_get_align` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLHRElement |

#### Returns

A gchar

### webkit_dom_html_hr_element_set_align ()

    void
    webkit_dom_html_hr_element_set_align (WebKitDOMHTMLHRElement *self,
                                          const gchar *value);

`webkit_dom_html_hr_element_set_align` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLHRElement |
value | A gchar |

### webkit_dom_html_hr_element_get_no_shade ()

    gboolean
    webkit_dom_html_hr_element_get_no_shade
                                   (WebKitDOMHTMLHRElement *self);

`webkit_dom_html_hr_element_get_no_shade` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLHRElement |

#### Returns

A gboolean

### webkit_dom_html_hr_element_set_no_shade ()

    void
    webkit_dom_html_hr_element_set_no_shade
                                   (WebKitDOMHTMLHRElement *self,
                                    gboolean value);

`webkit_dom_html_hr_element_set_no_shade` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLHRElement |
value | A gboolean |

### webkit_dom_html_hr_element_get_size ()

    gchar *
    webkit_dom_html_hr_element_get_size (WebKitDOMHTMLHRElement *self);

`webkit_dom_html_hr_element_get_size` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLHRElement |

#### Returns

A gchar

### webkit_dom_html_hr_element_set_size ()

    void
    webkit_dom_html_hr_element_set_size (WebKitDOMHTMLHRElement *self,
                                         const gchar *value);

`webkit_dom_html_hr_element_set_size` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLHRElement |
value | A gchar |

### webkit_dom_html_hr_element_get_width ()

    gchar *
    webkit_dom_html_hr_element_get_width (WebKitDOMHTMLHRElement *self);

`webkit_dom_html_hr_element_get_width` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLHRElement |

#### Returns

A gchar

### webkit_dom_html_hr_element_set_width ()

    void
    webkit_dom_html_hr_element_set_width (WebKitDOMHTMLHRElement *self,
                                          const gchar *value);

`webkit_dom_html_hr_element_set_width` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLHRElement |
value | A gchar |

## Types and Values

### struct WebKitDOMHTMLHRElement

    struct WebKitDOMHTMLHRElement;

## Property Details

### The `“align”` property

      “align”                    gchar *

read-write gchar* HTMLHRElement:align.

Flags: Read / Write

Default value: ""

### The `“no-shade”` property

      “no-shade”                 gboolean

read-write gboolean HTMLHRElement:no-shade.

Flags: Read / Write

Default value: FALSE

### The `“size”` property

      “size”                     gchar *

read-write gchar* HTMLHRElement:size.

Flags: Read / Write

Default value: ""

### The `“width”` property

      “width”                    gchar *

read-write gchar* HTMLHRElement:width.

Flags: Read / Write

Default value: ""